<dx-form [colCount]="1" [formData]='this' labelLocation="left">
    <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
        <dxi-item [label]="{text: 'Nr. / Data'}" dataField="nrDate" editorType="dxTextBox" [editorOptions]="{readOnly: true}">
        </dxi-item>
        <dxi-item [label]="{text: 'Entitate / Punct de lucru'}" dataField="entityWorkCenter" editorType="dxTextBox" [editorOptions]="{ readOnly: true }">
        </dxi-item>
    </dxi-item>

    <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
        <dxi-item [label]="{text: 'Număr vehicul / Transportator'}" dataField="carTransporter" editorType="dxTextBox"
            [editorOptions]="{ readOnly: true }">
        </dxi-item>
        <dxi-item [label]="{text: 'Destinatar'}" dataField="edit.model.rt_name" editorType="dxTextBox" [editorOptions]="{ readOnly: true }">
        </dxi-item>
    </dxi-item>

    <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
        <dxi-item [label]="{text: 'Cod deșeu'}" dataField="edit.model.wt_code" editorType="dxTextBox" [editorOptions]="{ readOnly: true }">
        </dxi-item>
        <dxi-item [label]="{text: 'Cantitate (' + (edit.model.wt_uom === 1 ? 'tone' : 'mc') + ')' }" dataField="edit.model.t_quantity"
            editorType="dxNumberBox" [editorOptions]="{ readOnly: true  }">
        </dxi-item>
    </dxi-item>
</dx-form>

<!-- <div style='width: 100%; border-top: 1px solid #e0e0e0; margin: 15px 0 20px'></div> -->

<dx-form id='finishTransForm' [colCount]="1" [formData]='edit.model' [showValidationSummary]="false"
    validationGroup="finishValidation" (onInitialized)='onFormInit($event)' labelLocation="left">

    <dxi-item itemType="group" [colCount]='4'>
        <dxi-item [colSpan]="2" [colCount]='2' itemType='group' caption='Valorificare'>
            <dxi-item [label]="{text: 'Cantitate (' + (edit.model.wt_uom === 1 ? 'tone' : 'mc') + ')' }" dataField="t_valuedQuantity"
                editorType="dxNumberBox" [editorOptions]="{min: 0 }">
                <dxi-validation-rule type="custom" [reevaluate]='true' [validationCallback]="vQuantityValidationCallback"
                    message="Cantitatea valorificată sau eliminată nu trebuie să fie nulă."></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Cod'}" dataField="t_capitalizationId" editorType="dxSelectBox" message="."
                [editorOptions]="{dataSource: dsCapitalization, valueExpr: 'id', displayExpr: 'code' }">
                <dxi-validation-rule type="custom" [reevaluate]='true' [validationCallback]="vCodeValidationCallback"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item [colSpan]="2" [colCount]='2' itemType='group' caption='Eliminare'>
            <dxi-item [label]="{text: 'Cantitate (' + (edit.model.wt_uom === 1 ? 'tone' : 'mc') + ')' }" dataField="t_eliminatedQuantity"
                editorType="dxNumberBox" [editorOptions]="{min: 0 }">
                <dxi-validation-rule type="custom" [reevaluate]='true' [validationCallback]="eQuantityValidationCallback"
                    message="Cantitatea valorificată sau eliminată nu trebuie să fie nulă."></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Cod'}" dataField="t_eliminationId" editorType="dxSelectBox" [editorOptions]="{dataSource: dsElimination, valueExpr: 'id', displayExpr: 'code' }">
                <dxi-validation-rule type="custom" [reevaluate]='true' [validationCallback]="eCodeValidationCallback"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>
    </dxi-item>

    <dxi-item itemType="group" [colCount]='4'>
        <dxi-item [colSpan]="2" [colCount]='2' [label]="{text: 'Dată recepție'}" dataField="t_receptionDate" editorType="dxDateBox"
            [editorOptions]="{displayFormat: 'dd.MM.yyyy', width: '100%' }">
        </dxi-item>
        <dxi-item [colSpan]="2" [colCount]='2' [label]="{text: 'Dată finalizare'}" dataField="t_finishDate" editorType="dxDateBox"
            [editorOptions]="{displayFormat: 'dd.MM.yyyy', width: '100%' }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
    </dxi-item>

    <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
        <dxi-item [label]="{text: 'Dată stocare temporară'}" dataField="t_tempStockDate" editorType="dxDateBox"
            [editorOptions]="{displayFormat: 'dd.MM.yyyy', width: '100%' }">
        </dxi-item>
        <dxi-item [label]="{text: 'Modul de tratare'}" dataField="t_treatmentTypeId" editorType="dxSelectBox"
            [editorOptions]="{dataSource: dsTreatmentTypes, valueExpr: 'id', displayExpr: ds.enumDisplay }">
        </dxi-item>
    </dxi-item>

    <!-- <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
        <dxi-item [label]="{text: 'Cost transport'}" dataField="t_shippingCost" editorType="dxNumberBox"
            [editorOptions]="{ }">
        </dxi-item>
    </dxi-item> -->
</dx-form>